#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gtk2-GladeXML
Summary:	Mechanisms for instantiating and utilization of user interfaces created with Glade-2
Summary(pl.UTF-8):	Mechanizmy pozwalające na wykorzystywanie interfejsów stworzonych za pomocą Glade-2
Name:		perl-Gtk2-GladeXML
Version:	1.007
Release:	11
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	e6ca234e2a9f0221263acd2a593c583b
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 2.6.0
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Glib >= 1.140
BuildRequires:	perl-Gtk2 >= 1.140
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Glib >= 1.140
Requires:	perl-Gtk2 >= 1.140
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
After designing an application with Glade-2 the layout and
configuration is saved in a XML formatted file. libglade is a library
to load and use files of this particular XML format at application run
time. This module is a set of mappings of libglade.

%description -l pl.UTF-8
Po zaprojektowaniu aplikacji korzystającej z Glade-2 jej wygląd i
konfiguracja są zapamiętywane w postaci plików w formacie XML.
libglade jest biblioteką służącą do odczytu i korzystania z tego
specyficznego formatu XML w czasie działania aplikacji. Ten moduł
stanowi zbiór odwzorowań biblioteki libglade.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%{perl_vendorarch}/Gtk2/GladeXML.pm
%dir %{perl_vendorarch}/Gtk2/GladeXML
%dir %{perl_vendorarch}/auto/Gtk2/GladeXML
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/GladeXML/*.so
%{perl_vendorarch}/Gtk2/GladeXML/Install
%{_mandir}/man3/*
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gtk2-GladeXML.git;a=log;h=auto/th/perl-Gtk2-GladeXML-1.007-11

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 103fcc6
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8d164dc
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 456d05b
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> f091fd3
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1b19a3c
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9639658
- x32 rebuild
- release 6 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 597a6a5
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b625b85
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a11ea21
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 301eb31
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d45bc9
- release 2

* Fri Nov 07 2008 Szymon Siwek <sls@pld-linux.org> e0f31a7
- ver. 1.007

* Sun Mar 02 2008 radek <radek@pld-linux.org> 605f196
- release 4

* Sun Mar 02 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 148849d
- rel.3

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 140589f
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 5267c9d
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b1a1b51
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0084519
- converted to UTF-8

* Wed Sep 20 2006 grzegol <grzegol@pld-linux.org> 7800cf6
- 1.006

* Wed Jun 22 2005 freetz <freetz@pld-linux.org> e3f95ac
- 1.005

